**一、概述**

本工具类旨在通过配置简单的Excel模板，自动化生成风机设备（包括主扇和局扇）的控制与监测代码，减少开发人员在处理类似设备时的重复劳动，提高了编程效率。生成的代码包含多个关键部分，如监测实体类、控制实体类、枚举类型、业务实现类、控制方法、监测方法片段、点表配置JSON、点位解释JSON以及控制请求描述表格等。

**二、准备工作**

1. **Excel模板准备**：
    1. 文件名：5.0风扇对接代码生成变量模板.xlsx
    1. 位置：template/ 目录下
    1. 内容：包含五列数据，分别是“变量名(英文)”、“类型”、“中文释义”、“读写方式”、“地址”。
1. **环境配置**：
    1. 确保Java环境已安装并配置正确。
    1. 将工具类项目导入到你的IDE（如IntelliJ IDEA, Eclipse等）中。

**三、配置说明**

在工具类中，需要进行以下配置：

1. **风机类型（FAN\_TYPE）**：
    1. 主扇：Main
    1. 局扇：System
1. **矿井唯一表示（MINE\_NAME）**：
    1. 例如：Wl1k
1. **设备名称（DEVICE\_NAME）**：
    1. 例如：万里一矿主扇
1. **模板Excel文件路径（EXCEL\_FILE\_PATH）**：
    1. 例如：template/wl1k.xlsx

**四、使用步骤**

1. **编辑Excel模板**：
    1. 根据实际风机设备的参数，填写Excel模板中的五列数据，包括“变量名(英文)”、“类型”、“中文释义”、“读写方式”、“地址”。

1. **配置工具类**：
    1. 在工具类源代码中，修改上述配置项的值为实际值。

1. **运行工具类**：
    1. 在IDE中运行工具类，或者通过命令行/脚本运行。
1. **查看生成代码**：
    1. 工具类将自动生成generate目录下代码及文件：
        1. 监测实体类 FanVo

        1. 控制实体类 FanFrom

        1. 枚举类型 FAN\_ENUM

        1. 业务实现类 FanFacility

        1. 控制方法实现 controlFan

        1. 监测方法片段

        1. 点表配置JSON文件

        1. 点位解释JSON文件

        1. 控制请求表格（如Excel表格或CSV文件）


1. **验证与集成**：
    1. 验证生成的代码是否符合预期。
    1. 将生成的代码及文件集成到5.0项目中。

**五、注意事项**

- 确保Excel模板中的数据类型与工具类中的预定义类型相匹配。
- 读写方式需按照预定的枚举值填写（如只读、只写、读写）。
- 生成的代码可能需要根据具体项目需求进行微调。

